using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionSignatoryDeclineReasons")]
    public class TransactionSignatoryDeclineReason
    {
        [Column("TransactionSignatoryDeclineReasonID")]
        public int TransactionSignatoryDeclineReasonID { get; set; }

        [Column("UserID")]
        public int UserID { get; set; }

        [Column("DeclineReason")]
        public string DeclineReason { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("TransactionSignatoryDeclineReason_UID")]
        public Guid TransactionSignatoryDeclineReason_UID { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }
    }
}